## Class Swift_KeyCache_DiskKeyCache

(line 24)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/KeyCache/DiskKeyCache.php

##### A KeyCache which streams to and from disk.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:
POSITION_END
POSITION_START

#### POSITION_END = 1 (line 31)

##### Signal to place pointer at end of file

#### POSITION_START = 0 (line 28)

##### Signal to place pointer at start of file

## Method Detail

Summary:
Swift_KeyCache_DiskKeyCache __construct (Swift_KeyCache_KeyCacheInputStream $stream, string $path)
void __destruct ()
void clearAll (string $nsKey)
void clearKey (string $nsKey, string $itemKey)
void exportToByteStream (string $nsKey, string $itemKey, Swift_InputByteStream $is)
Swift_InputByteStream getInputByteStream (string $nsKey, string $itemKey, [Swift_InputByteStream $writeThrough = null])
string getString (string $nsKey, string $itemKey)
boolean hasKey (string $nsKey, string $itemKey)
void importFromByteStream (string $nsKey, string $itemKey, Swift_OutputByteStream $os, int $mode)
void setString (string $nsKey, string $itemKey, string $string, int $mode)

#### Constructor __construct (line 67)

#### Swift_KeyCache_DiskKeyCache __construct( Swift_KeyCache_KeyCacheInputStream $stream, string $path)

##### Create a new DiskKeyCache with the given $stream for cloning to make InputByteStreams, and the given $path to save to.

#### Parameters

- Swift_KeyCache_KeyCacheInputStream $stream:
- string $path: to save to

#### Info

- access - public

#### Destructor __destruct (line 308)

#### void __destruct( )

##### Destructor.

#### Info

- access - public

#### Method clearAll (line 246)

#### void clearAll( string $nsKey)

Implementation of:

Swift_KeyCache::clearAll()
  Clear all data in the namespace $nsKey if it exists.

##### Clear all data in the namespace $nsKey if it exists.

#### Parameters

- string $nsKey:

#### Info

- access - public

#### Method clearKey (line 231)

#### void clearKey( string $nsKey, string $itemKey)

Implementation of:

Swift_KeyCache::clearKey()
  Clear data for $itemKey in the namespace $nsKey if it exists.

##### Clear data for $itemKey in the namespace $nsKey if it exists.

#### Parameters

- string $nsKey:
- string $itemKey:

#### Info

- access - public

#### Method exportToByteStream (line 195)

#### void exportToByteStream( string $nsKey, string $itemKey, Swift_InputByteStream $is)

Implementation of:

Swift_KeyCache::exportToByteStream()
  Get data back out of the cache as a ByteStream.

##### Get data back out of the cache as a ByteStream.

#### Parameters

- string $nsKey:
- string $itemKey:
- Swift_InputByteStream $is: to write the data to

#### Info

- access - public

#### Method getInputByteStream (line 145)

#### Swift_InputByteStream getInputByteStream( string $nsKey, string $itemKey, [Swift_InputByteStream $writeThrough = null])

Implementation of:

Swift_KeyCache::getInputByteStream()
  Provides a ByteStream which when written to, writes data to $itemKey.

##### Provides a ByteStream which when written to, writes data to $itemKey.

NOTE: The stream will always write in append mode.

#### Parameters

- string $nsKey:
- string $itemKey:
- Swift_InputByteStream $writeThrough:

#### Info

- access - public

#### Method getString (line 166)

#### string getString( string $nsKey, string $itemKey)

Implementation of:

Swift_KeyCache::getString()
  Get data back out of the cache as a string.

##### Get data back out of the cache as a string.

#### Parameters

- string $nsKey:
- string $itemKey:

#### Info

- throws - Swift_IoException
- access - public

#### Method hasKey (line 221)

#### boolean hasKey( string $nsKey, string $itemKey)

Implementation of:

Swift_KeyCache::hasKey()
  Check if the given $itemKey exists in the namespace $nsKey.

##### Check if the given $itemKey exists in the namespace $nsKey.

#### Parameters

- string $nsKey:
- string $itemKey:

#### Info

- access - public

#### Method importFromByteStream (line 113)

#### void importFromByteStream( string $nsKey, string $itemKey, Swift_OutputByteStream $os, int $mode)

Implementation of:

Swift_KeyCache::importFromByteStream()
  Set a ByteStream into the cache under $itemKey for the namespace $nsKey.

##### Set a ByteStream into the cache under $itemKey for the namespace $nsKey.

#### Parameters

- string $nsKey:
- string $itemKey:
- Swift_OutputByteStream $os:
- int $mode:

#### Info

- see - MODE_WRITE, MODE_APPEND
- throws - Swift_IoException
- access - public

#### Method setString (line 83)

#### void setString( string $nsKey, string $itemKey, string $string, int $mode)

Implementation of:

Swift_KeyCache::setString()
  Set a string into the cache under $itemKey for the namespace $nsKey.

##### Set a string into the cache under $itemKey for the namespace $nsKey.

#### Parameters

- string $nsKey:
- string $itemKey:
- string $string:
- int $mode:

#### Info

- see - MODE_WRITE, MODE_APPEND
- throws - Swift_IoException
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:19 +0000 by phpDocumentor 1.4.3